--AH:ScriptId=6684ebcd-7367-4583-957b-a7115a3ec3c4;601
DELETE [Configuration]
 WHERE [Scope_Name] = 'CoreEx'
   AND [Key_Name] IN
   (
       'UseSlimPlanExecuter',
       'UseNewCommandLineAction',
       'IntegratedWebServer_Enable',
       'IntegratedWebServer_Prefixes',
       'IntegratedWebServer_WebAppPath',
       'MaxApplicationsInMenu',
       'AlwaysShowApplicationSearch',
       'LogMonitoringThrottle',
       'DisplayFeatureLevelWarning',
       'AgentSecurityToken'
   )

UPDATE [Configuration]
   SET [Scope_Name] = 'Service'
 WHERE [Scope_Name] = 'CoreEx'
   AND [Key_Name] IN
   (
       'PlanExecuterThrottle',
       'AgentUpdaterThrottle',
       'EmailNotifierThrottle',
       'ScheduleExecuterThrottle',
       'DisableActionExecution'
   )

UPDATE [Configuration]
   SET [Scope_Name] = 'Web'
 WHERE [Scope_Name] = 'CoreEx'
   AND [Key_Name] IN
   (
       'OrApprovalsEnabled',
       'WebCustomErrorsMode',
       'LiveHelpEnabled',
       'FormsAuthenticationTimeout',
       'IgnoreServiceWarning',
       'DashboardEditingEnabled',
       'HasLoggedIn',
       'SwapExecutionDetailsColumns',
       'ReleaseNumberValidation'
   )