--AH:ScriptId=ec1557f6-93e1-4699-bb97-658107279b6f;2941
IF OBJECT_ID('[Executions_GetOrSetManualActionComplete]') IS NOT NULL DROP PROCEDURE [Executions_GetOrSetManualActionComplete]
IF OBJECT_ID('[Executions_GetManualActionsInProgressForUser]') IS NOT NULL DROP PROCEDURE [Executions_GetManualActionsInProgressForUser]

DROP TABLE [ManualActionsInProgress]

GO

CREATE TABLE [ManualActionsInProgress]
(
	[Execution_Id] INT NOT NULL,
	[ManualAction_Sequence] INT NOT NULL,
	[Task_Name] NVARCHAR(50) NOT NULL,
	[Task_Description] NVARCHAR(MAX) NOT NULL,
	[AssignedTo_Principal_Name] USERNAME NOT NULL,
	[ActionStarted_Date] DATETIME NOT NULL,
	[CompletedBy_User_Name] USERNAME NULL,

	CONSTRAINT [PK__ManualActionsInProgress]
		PRIMARY KEY ([Execution_Id], [ManualAction_Sequence]),

	CONSTRAINT [FK__ManualActionsInProgress__BuildExecutions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [BuildExecutions] ([Execution_Id])
)