--AH:ScriptId=655a96e7-e4af-44e3-8302-82c282c53031;3071
DROP TABLE [ReleaseVariables]
DROP TABLE [BuildVariables]
GO

CREATE TABLE [ReleaseVariables]
(
    [Release_Id] INT NOT NULL,
    [Variable_Name] VARCHAR(50) NOT NULL,
    [ValueType_Code] CHAR(1) NOT NULL,
    [Variable_Value] VARBINARY(MAX) NOT NULL,
    [Sensitive_Indicator] YNINDICATOR NOT NULL,
    [EvaluateVariables_Indicator] YNINDICATOR NOT NULL,

    CONSTRAINT [PK__ReleaseVariables] PRIMARY KEY ([Release_Id], [Variable_Name]),
    CONSTRAINT [FK__ReleaseVariables__Releases] FOREIGN KEY ([Release_Id])
               REFERENCES [Releases] ([Release_Id])
               ON DELETE CASCADE
)

CREATE TABLE [BuildVariables]
(
    [Build_Id] INT NOT NULL,
    [Variable_Name] VARCHAR(50) NOT NULL,
    [ValueType_Code] CHAR(1) NOT NULL,
    [Variable_Value] VARBINARY(MAX) NOT NULL,
    [Sensitive_Indicator] YNINDICATOR NOT NULL,
    [EvaluateVariables_Indicator] YNINDICATOR NOT NULL,

    CONSTRAINT [PK__BuildVariables] PRIMARY KEY ([Build_Id], [Variable_Name]),
    CONSTRAINT [FK__BuildVariables__Builds] FOREIGN KEY ([Build_Id])
               REFERENCES [Builds] ([Build_Id])
               ON DELETE CASCADE
)