IF OBJECT_ID('[Pipelines_UsedByApplications]') IS NOT NULL DROP VIEW [Pipelines_UsedByApplications]
GO

CREATE VIEW [Pipelines_UsedByApplications] AS

        SELECT R.[Application_Id], R.[Pipeline_Name]
          FROM [Releases] R
               INNER JOIN [Applications] A
                       ON R.[Application_Id] = A.[Application_Id]
                      AND A.[Active_Indicator] = 'Y'
         WHERE R.[Pipeline_Name] IS NOT NULL

		UNION ALL

        SELECT B.[Application_Id], B.[Pipeline_Name]
          FROM [Builds] B
               INNER JOIN [Applications] A
                       ON B.[Application_Id] = A.[Application_Id]
                      AND A.[Active_Indicator] = 'Y'
         WHERE B.[Pipeline_Name] IS NOT NULL


GO