--AH:ScriptId=ea7e8961-5487-4113-a443-b183e1250048;377
/* FK Constraints */
ALTER TABLE [BuildExecution_PlanActions] DROP CONSTRAINT [FK__BuildExecution_PlanActions__BuildExecution_Plans]
--ALTER TABLE [ManualActionsInProgress] DROP CONSTRAINT [FK__ManualActionsInProgress__BuildExecution_PlanActions]
--ALTER TABLE [BuildOutputs] DROP CONSTRAINT [FK__BuildOutputs__BuildExecution_PlanActions]
--ALTER TABLE [BuildExecution_PlanActionLogEntries] DROP CONSTRAINT [FK__BuildExecution_PlanActionLogEntries__BuildExecution_PlanActions]
--ALTER TABLE [BuildTestResults] DROP CONSTRAINT [FK__BuildTestResults__BuildExecution_PlanActions]


/* Add Original_PlanActionGroup_Id */
ALTER TABLE [BuildExecution_Plans] ADD [Original_PlanActionGroup_Id] INT
GO
UPDATE [BuildExecution_Plans]
   SET [Original_PlanActionGroup_Id] = [Original_Plan_Id]
ALTER TABLE [BuildExecution_Plans] ALTER COLUMN [Original_PlanActionGroup_Id] INT NOT NULL
GO

/* Drop Original_Plan_Id, Replace PK */
ALTER TABLE [BuildExecution_Plans] DROP CONSTRAINT [PK__BuildExecution_Plans]
ALTER TABLE [BuildExecution_Plans] DROP COLUMN [Original_Plan_Id]
ALTER TABLE [BuildExecution_Plans]
  ADD CONSTRAINT [PK__BuildExecution_Plans]
      PRIMARY KEY ([Execution_Id],[Original_PlanActionGroup_Id])
GO
 
/* Add Original_PlanActionGroup_Id */
ALTER TABLE [BuildExecution_PlanActions] ADD [Original_PlanActionGroup_Id] INT
GO
UPDATE [BuildExecution_PlanActions]
   SET [Original_PlanActionGroup_Id] = [Original_Plan_Id]
ALTER TABLE [BuildExecution_PlanActions] ALTER COLUMN [Original_PlanActionGroup_Id] INT NOT NULL
GO

/* Index */
DROP INDEX [BuildExecution_PlanActions].[IX__BuildExecution_PlanActions__Original_Plan_Id]
CREATE INDEX [IX__BuildExecution_PlanActions__Original_PlanActionGroup_Id] ON [BuildExecution_PlanActions] ([Execution_Id],[Original_PlanActionGroup_Id])

/* PK */
--ALTER TABLE [BuildExecution_PlanActions] DROP CONSTRAINT [PK__BuildExecution_PlanActions]
ALTER TABLE [BuildExecution_PlanActions] DROP COLUMN [Original_Plan_Id]
--ALTER TABLE [BuildExecution_PlanActions] 
--  ADD CONSTRAINT [PK__BuildExecution_PlanActions]
--      PRIMARY KEY ([Execution_Id],[Original_PlanActionGroup_Id],[Original_Action_Sequence])
ALTER TABLE [BuildExecution_PlanActions] 
  ADD CONSTRAINT [FK__BuildExecution_PlanActions__BuildExecution_Plans]
      FOREIGN KEY ([Execution_Id],[Original_PlanActionGroup_Id])
      REFERENCES [BuildExecution_Plans] ([Execution_Id],[Original_PlanActionGroup_Id])
GO

