EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetPipelineStageTargetExecution',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'PipelineStageTargetExecutions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all details regarding a specific build execution'
GO

IF OBJECT_ID('[Builds_GetPipelineStageTargetExecution]') IS NOT NULL DROP PROCEDURE [Builds_GetPipelineStageTargetExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetPipelineStageTargetExecution]
(
	@Execution_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [PipelineStageTargetExecutions_Extended]
	 WHERE [Execution_Id] = @Execution_Id


END
GO

GRANT EXECUTE ON [Builds_GetPipelineStageTargetExecution] TO [BuildMasterUser_Role]
