EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Rafts_GetRafts',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Rafts',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the rafts in the system.'
GO

IF OBJECT_ID('[Rafts_GetRafts]') IS NOT NULL DROP PROCEDURE [Rafts_GetRafts]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Rafts_GetRafts]
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Rafts]

END
GO

GRANT EXECUTE ON [Rafts_GetRafts] TO [BuildMasterUser_Role]