EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'SecureResources_DeleteSecureResource',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified secured resource.'
GO


IF OBJECT_ID('[SecureResources_DeleteSecureResource]') IS NOT NULL DROP PROCEDURE [SecureResources_DeleteSecureResource]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [SecureResources_DeleteSecureResource]
(
    @SecureResource_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	DELETE [SecureResources]
     WHERE [SecureResource_Id] = @SecureResource_Id

END
GO

GRANT EXECUTE ON [SecureResources_DeleteSecureResource] TO [BuildMasterUser_Role]